ClarisDrawTextInternal::DSET Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
ClarisDrawTextInternal::DSET Struct Reference

low level internal: main text zone More...

Inheritance diagram for ClarisDrawTextInternal::DSET:

## Public Member Functions
| DSET (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
| constructor More...
virtual | ~DSET ()
| destructor More...
bool | isOutlined () const
| true if the zone is outlined More...
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor More...
bool | isHeaderFooter () const
| test if the zone is an header/footer More...
bool | isSlide () const
| test if the zone is a slide More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
int | getMaximumPage () const
| returns the maximum page More...
virtual void | removeChild (int cId, bool normalChild)
| virtual function to remove a child from a list More...
virtual void | removeChild (int cId)
| virtual function to remove a child from a list More...
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box More...
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, std::set< int > &forbiddenPageBreak) const
| find forbidden page break More...
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box) More...

## Public Attributes
std::vector< MWAWEntry > | m_zones
int | m_numChar
| the number of char in text zone More...
int | m_numTextZone
| the number of text zone ( ie. More...
int | m_numParagInfo
| the number of paragraph info More...
int | m_numFont
| the number of font More...
int | m_fatherId
| the father id More...
int | m_unknown
| an unknown flags More...
std::vector< long > | m_subSectionPosList
| list of end of section position More...
std::vector< MWAWFont > | m_fontList
| the list of fonts More...
std::vector< ParagraphPLC > | m_paragraphList
| the list of paragraph More...
std::vector< Token > | m_tokenList
| the list of token More...
std::vector< TextZoneInfo > | m_textZoneList
| the list of zone More...
std::multimap< long, PLC > | m_plcMap
| the plc map More...
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Position | m_position
| the zone type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_page
| the page (if known) More...
MWAWBox2f | m_box
| the bounding box (if known) More...
MWAWVec2f | m_pageDimension
| the page dimension (if know) More...
int | m_id
| the zone identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends
std::ostream & | operator<< (std::ostream &o, DSET const &doc)
| operator<< More...

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0, P_Header, P_Footer, P_Frame, P_Footnote, P_Table, P_GraphicMaster, P_Slide, P_SlideNote, P_SlideThumbnail, P_SlideMaster, P_Unknown }
| the zone position More...
enum | ChildType { C_Zone, C_SubText, C_Graphic, C_Unknown }
| the different types of zone child More...

## Detailed Description

low level internal: main text zone

## Constructor & Destructor Documentation

ClarisDrawTextInternal::DSET::DSET | ( | ClarisWksStruct::DSET const & | dset = `ClarisWksStruct::DSET()` | ) |
| inlineexplicit

constructor

ClarisDrawTextInternal::DSET::~DSET | ( |  | ) |
| virtual

destructor

Reimplemented from ClarisWksStruct::DSET.

## Member Function Documentation

bool ClarisDrawTextInternal::DSET::isOutlined | ( |  | ) | const
| inline

true if the zone is outlined

Referenced by ClarisDrawText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DSET const & | doc
| ) |  |
| friend

operator<<

## Member Data Documentation

int ClarisDrawTextInternal::DSET::m_fatherId

the father id

std::vector<MWAWFont> ClarisDrawTextInternal::DSET::m_fontList

the list of fonts

Referenced by ClarisDrawText::readFonts(), and ClarisDrawText::sendText().

int ClarisDrawTextInternal::DSET::m_numChar

the number of char in text zone

Referenced by ClarisDrawText::sendText().

int ClarisDrawTextInternal::DSET::m_numFont

the number of font

int ClarisDrawTextInternal::DSET::m_numParagInfo

the number of paragraph info

int ClarisDrawTextInternal::DSET::m_numTextZone

the number of text zone ( ie.

number of page ? )

std::vector<ParagraphPLC> ClarisDrawTextInternal::DSET::m_paragraphList

the list of paragraph

Referenced by ClarisDrawText::readParagraphs(), and ClarisDrawText::sendText().

std::multimap<long, PLC> ClarisDrawTextInternal::DSET::m_plcMap

the plc map

Referenced by ClarisDrawText::readFonts(), ClarisDrawText::readParagraphs(), ClarisDrawText::readTextZoneSize(), ClarisDrawText::readTokens(), and ClarisDrawText::sendText().

std::vector<long> ClarisDrawTextInternal::DSET::m_subSectionPosList

list of end of section position

Referenced by ClarisDrawText::sendText().

std::vector<TextZoneInfo> ClarisDrawTextInternal::DSET::m_textZoneList

the list of zone

Referenced by ClarisDrawText::readTextZoneSize().

std::vector<Token> ClarisDrawTextInternal::DSET::m_tokenList

the list of token

Referenced by ClarisDrawText::readTokens(), and ClarisDrawText::sendText().

int ClarisDrawTextInternal::DSET::m_unknown

an unknown flags

std::vector<MWAWEntry> ClarisDrawTextInternal::DSET::m_zones

Referenced by ClarisDrawText::sendText().

The documentation for this struct was generated from the following file:

- ClarisDrawText.cxx